WebView firebase SDK 브라우저 미지원 오류

안녕하세요 저는 리액트와 리액트 네이티브로 학교에서 프로젝트를 하고 있는 대학생입니다~
리액트와 리액트 네이티브 및 파이어베이스는 이번에 처음 사용해보구요.
리액트로 웹을 만들어서 리액트 네이티브 웹앱으로 앱을 만들려고 진행하는 도중에
Messaging: This browser doesn’t support the API’s required to use the firebase SDK. (messaging/unsupported-browser)
라는 에러를 만나게 되었습니다.

리액트 네이티브에 사용된 버전은
react-native@0.59.8
react-native-webview@10.3.1
입니다.

웹에 사용된 파이어베이스 SDK는
firebase-app 7.5.0과
messaging 7.5.0
를 사용하고 있습니다.

구글링을 해봐도 답을 찾을 수 없어 고수님들이 많이 계신곳에 여쭤보려고 여기까지 찾아 들어오게 되었습니다. 혹시 아시는 고수님이 계시다면 답변 부탁드립니다 !

React Native로 웹앱을 감싸서 앱으로 출시하려고 하시는건가요?

Push를 웹용으로 사용할게 아니라면, messaging 기능이 필요하지 않으실거에요. 해당 에러는 무시하셔도 됩니다.

네 react-native-webview 사용해서 웹을 감싸서 만들려고 합니다.
웹에 fcm을 추가해서 사용하고 있는데 웹뷰로 사용할때는 웹(자바스크립트) fcm을 사용을 못해서 생긴 오류인가요?
해당 에러를 무시하라는게 무슨 말인지 잘 모르겠습니다 ㅠㅠ

에러가 나면서 화면을 덮어 버리나요? 제가 저 에러는 브라우저에서 워닝으로 많이 본거 같아서 무시하라고 말씀 드렸던 거구요. RN의 webview에서는 어떻게 되는지 경험이 없어 모르겠네요.


네 이런식으로 되어 버려요…
웹쪽에서는 해당 오류 없이 잘 돌아갑니다